const path = require('path');
const frame = path.resolve(__dirname, '../frame');

module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : '/teachersel',
  outputDir: 'teachersel',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@frame': frame,
        },
      },
    });
  },
  devServer: {
    port: '8006',
    //api地址前缀
    proxy: {
      '/files': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
      '/weixin': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://free.liaoningdoupo.com',
        ws: true,
      },
      '/admin/center': {
        target: 'http://free.liaoningdoupo.com',
      },
      // '/api/train/department': {
      //   target: 'http://free.liaoningdoupo.com',
      // },

      '/admin/director': {
        target: 'http://free.liaoningdoupo.com',
      },
      '/admin/teacher': {
        target: 'http://free.liaoningdoupo.com',
      },
      '/admin/student': {
        target: 'http://free.liaoningdoupo.com',
      },
      '/admin/school': {
        target: 'http://free.liaoningdoupo.com',
      },
      '/api/code': {
        target: 'http://smart.cc-lotus.info',
        ws: true,
      },
      '/api': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
    },
  },
};
